package java.util.function;

import java.util.Objects;

@FunctionalInterface
public interface DoublePredicate
{
    public abstract boolean test(double p0);
    
    default public DoublePredicate and(DoublePredicate obj) {
        Objects.requireNonNull(obj);
        return n2/* double, */ -> this.test(n2) && p0.test(n2);
    }
    
    default public DoublePredicate negate() {
        return n2/* double, */ -> !this.test(n2);
    }
    
    default public DoublePredicate or(DoublePredicate obj) {
        Objects.requireNonNull(obj);
        return n2/* double, */ -> this.test(n2) || p0.test(n2);
    }
}
